%define upstream_name    MooseX-Role-WithOverloading
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Roles which support overloading
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Role) >= 1.150.0
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean) >= 0.120.0
BuildRequires: perl(namespace::clean)
BuildRequires: perl-devel
Requires:   perl(aliased)
Requires:   perl(namespace::autoclean)

%{?perl_default_filter}
Requires:   perl(namespace::clean)
%description
MooseX::Role::WithOverloading allows you to write a the Moose::Role manpage
which defines overloaded operators and allows those operator overloadings
to be composed into the classes/roles/instances it's compiled to, while
plain the Moose::Role manpages would lose the overloading.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1030587
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 957771
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 891447
- update to 0.17

* Wed Jun 24 2015 sander85 <sander85> 0.160.0-2.mga6
+ Revision: 842621
- Rebuild for perl 5.22

* Mon Jun 22 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 839366
- update to 0.16

* Sun Oct 19 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 790425
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 746124
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.150.0-3.mga5
+ Revision: 735852
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Aug 12 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 661990
- update to 0.15

* Fri Aug 01 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 659064
- update to 0.14

* Tue Jun 03 2014 jquelin <jquelin> 0.130.0-3.mga5
+ Revision: 632468
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 527671
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.130.0-1.mga4
+ Revision: 441698
- update to 0.13

* Wed May 29 2013 jquelin <jquelin> 0.90.0-5.mga4
+ Revision: 432285
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-4.mga3
+ Revision: 370293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.90.0-3.mga3
+ Revision: 250953
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.90.0-2.mga2
+ Revision: 104792
- Rebuild for perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 38618
- mageia rebuild
- imported package perl-MooseX-Role-WithOverloading

